static char help[] = "topopt";
#include <petscdmplex.h>

using namespace std;

int main(int argc,char **argv)
{
	PetscErrorCode ierr;
	DM dm;
	DMLabel label;

	PetscInitialize(&argc,&argv,(char*)0,help);if (ierr) return ierr;

	ierr = DMPlexCreateFromFile(PETSC_COMM_WORLD, "d1.msh", PETSC_TRUE, &dm);CHKERRQ(ierr);
	ierr = PetscObjectViewFromOptions((PetscObject)dm,NULL,"-dm_view");CHKERRQ(ierr);

	ierr = DMGetLabel(dm, "Cell Sets", &label);CHKERRQ(ierr);
	ierr = DMLabelFilter(label, 1, 10);CHKERRQ(ierr);
	DMLabelView(label, PETSC_VIEWER_STDOUT_WORLD);
	ierr = DMLabelFilter(label, 0, 10);CHKERRQ(ierr);
	DMLabelView(label, PETSC_VIEWER_STDOUT_WORLD);

	ierr = PetscObjectViewFromOptions((PetscObject)dm,NULL,"-dm_view");CHKERRQ(ierr);

	PetscFinalize();
}